### Method

# GUsb Context set_main_context

since: 0.2.5

#### Declaration

    void
    g_usb_context_set_main_context (
      GUsbContext* self,
      GMainContext* main_ctx
    )

#### Description

Sets the internal GMainContext to use for synchronous methods.

Available since: 0.2.5

#### Parameters

`main_ctx`

  Type: `GMainContext`

  No description available.

  The data is owned by the caller of the method.